## preenv-extras 0.1.7-2

=== Makefile ===
SUBDIRS:=desktopgen-hd desktopgen-kbd

CFLAGS?=-Os -Wall
LDFLAGS?=
IFLAGS?=

export CFLAGS
export LDFLAGS
export IFLAGS

all: $(SUBDIRS)

$(SUBDIRS): %: 
	$(MAKE) -C "$@" all

install: install-before $(addprefix install-,$(SUBDIRS))

install-before:
	@if [ -z "$(DESTDIR)" ]; then \
		echo "DESTDIR is not set! (read INSTALL file!)"; \
		exit 1; \
	fi
	@echo Installing to $(DESTDIR)...
	mkdir -p $(DESTDIR)/lib $(DESTDIR)/bin

$(addprefix install-,$(SUBDIRS)): %:
	$(MAKE) -C "$(subst install-,,$@)" install

bindist:
	@echo Doing nothing...
#	rm -rf temp-dist
#	mkdir -p temp-dist/preenv
#	$(MAKE) install DESTDIR=$(CURDIR)/temp-dist/preenv
#	cp README temp-dist/preenv
#	tar --owner=root -C temp-dist -czvf preenv.tar.gz preenv
#	rm -rf temp-dist
#	@echo preenv.tar.gz is ready.

clean: $(addprefix clean-,$(SUBDIRS))

$(addprefix clean-,$(SUBDIRS)): %:
	$(MAKE) -C "$(subst clean-,,$@)" clean

.PHONY: all $(SUBDIRS) install install-before bindist clean

=== desktopgen-hd/Makefile ===
CFLAGS?=-Os -g -Wall
LDFLAGS?=

GLIB_CFLAGS:=$(shell pkg-config --cflags gio-2.0 json-glib-1.0)
GLIB_LIBS:=$(shell pkg-config --libs gio-2.0 json-glib-1.0)

all: desktopgen

desktopgen: desktopgen.o
	$(CC) $(LDFLAGS) -o $@-hd $^ $(GLIB_LIBS) $(LIBS)

%.o: %.c
	$(CC) -std=gnu99 $(GLIB_CFLAGS) $(CFLAGS) -o $@ -c $<

install: all
	install $(IFLAGS) desktopgen-hd $(DESTDIR)/bin

clean:
	rm -f desktopgen-hd *.o *.core

.PHONY: all clean

=== desktopgen-kbd/Makefile ===
CFLAGS?=-Os -g -Wall
LDFLAGS?=

GLIB_CFLAGS:=$(shell pkg-config --cflags gio-2.0 json-glib-1.0)
GLIB_LIBS:=$(shell pkg-config --libs gio-2.0 json-glib-1.0)

all: desktopgen

desktopgen: desktopgen.o
	$(CC) $(LDFLAGS) -o $@-kbd $^ $(GLIB_LIBS) $(LIBS)

%.o: %.c
	$(CC) -std=gnu99 $(GLIB_CFLAGS) $(CFLAGS) -o $@ -c $<

install: all
	install $(IFLAGS) desktopgen-kbd $(DESTDIR)/bin

clean:
	rm -f desktopgen-kbd *.o *.core

.PHONY: all clean

=== debian/changelog ===
preenv-extras (0.1.7-2) fremantle; urgency=low

  * Fixed location of env and wrapper

 -- Marcin Mielniczuk <marmistrz@linux.pl>  Tue, 15 Jan 2013 20:04:43 +0100

preenv-extras (0.1.7-1) fremantle; urgency=low

  * Fixed the scripts

 -- Marcin Mielniczuk <marmistrz@linux.pl>  Tue, 15 Jan 2013 18:10:31 +0100

preenv-extras (0.1.7) fremantle; urgency=low

  * Initial release

 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sat, 12 Jan 2013 15:01:25 +0100

=== debian/control ===
Source: preenv-extras
Section: user/games
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>de
Build-Depends: debhelper7 (>= 7.0), libjson-glib-dev, libsdl1.2, libsdl-gles1.2-1, libosso1, libhildonmime0, liblocation0, libgstreamer-plugins-base0.10-0, libx11-6
Standards-Version: 3.8.4
Homepage: http://marmistrz.net63.net
XSBC-Bugtracker: mailto:marmistrz@linux.pl

Package: preenv-extras
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, preenv-extras-hd (= ${binary:Version}), preenv-extras-kbd (= ${binary:Version})
Description: Extra modules for Preenv
XB-Maemo-Display-Name: Preenv Extras

Package: preenv-extras-hd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, preenv
Description: Additional modules for Preenv to run HP TouchPad games.
XB-Maemo-Display-Name: Preenv HD Extras

Package: preenv-extras-kbd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, preenv
Description: Additional modules for Preenv to run games with keyboard mapping.
XB-Maemo-Display-Name: Preenv Keyboard Extras

=== debian/rules ===
#!/usr/bin/make -f

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

export DESTDIR:=$(CURDIR)debian/tmp/opt/preenv

%:
	dh $@ --buildsystem=makefile

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp/opt/preenv install

override_dh_fixperms:
	dh_fixperms --buildsystem=makefile
	chmod +x $(CURDIR)/debian/*/opt/preenv/bin/*
	chmod +x $(CURDIR)/debian/*/opt/preenv/*.sh
